regina-rexx (3.9.7-1) unstable; urgency=low

  * Bugs Fixed:
    - #580 Missing files in SVN trunk (target Windows)
    - #587 https://regina-rexx.sourceforge.io/ Sourceforge links mostly broken
    - #595 Unexpected NUL bytes from changestr()
    - #596 stream(filename,"C","OPEN WRITE REPLACE") fails, but "CREATE" works
    - #598 Implicit command doesn't recognize arguments
    - #600 Erroneous syntax error 37
    - #602 Error "System resources exhausted" on Haiku
    - #606 regina.dll reports WIN8 for Windows 11 systems
    - #607 Visual C++ 4.0 build is broken
    - #609 CENTER regression
    - #610 CALL X(SIGL) passes **updated** SIGL as ARG(1)
    - #612 Problems with cc23
    - #613 Fixed typos in PDF

  * Implement return of available memory via STORAGE() and FREESPACE() for Windows and Linux
  * Distribute binary error message files as source so Regina can be cross-compiled
  * Add rexxtry.rexx test program

 -- Mark Hessling <mark@rexx.org>  Tue, 18 Mar 2025 01:50:00 +1000

regina-rexx (3.9.6-1) unstable; urgency=low

  * Bugs Fixed:
    - Crash with UPPER and LOWER BIFs
    - #560 MAX(1m2m05,0,4)   returns 5     (not what the doc says)
    - #561 Crash with 10 trace off
    - #564 Two STREAM QUERY EXISTS generate wrong result Rexx >= 3.7
    - #575 Parsing fails
    - #581 Silly syntax typo causes Regina to CRASH
    - #583 Trace "Failure" ineffective.
    - #586 syssearchpath() under Windows not using updated
    - #588 Configure probes for gethostbyname_r and getpwuid_r fail incorrectly with strict compilers
    - #589 Translate BIF only translates aplha characters
    - #593 bad format, numeric digits not honoured
    - #594 FORMAT(123.4573, ,3,0,0)
  * Feature Requests:
    - #44 Regina pauses at execution end - installation check box pls
  * Potentially improve performance by reducing initial variable pool hash size from
    2003 to 227. Certainly improves rexxcps - suggested by Jake Hamby
  * Add REGINA_HASHTABLELENGTH to enable initial variable pool size to be changed
    at runtime. This value MUST be a prime number! Use with caution.
  * Add sysgetline() and sysgetlinehistory() to Regutil; implementation of GNU Readline
    (actually added in v3.9.5)
  * Add handling support for SIGUSR1 and SIGUSR2 to turn on/off TRACE I
  * Add ReginaGetAddonDir() API call to obtain location where Regina looks for external function packages
  * Initial support for Windows ARM64 platform
  * Check for Windows 11 and arm/arm64 architecture in UNAME BIF
  * Add OPTION STRICT_ANSI_FORMAT_BIF to apply strict ANSI rules to the FORMAT BIF

 -- Mark Hessling <mark@rexx.org>  Mon, 29 Apr 2024 01:50:00 +1000

regina-rexx (3.9.5-2) unstable; urgency=low

  * Bugs fixed:
    - #266 Support tilde in Linux file names
    - #435 Regina "crashes" instead of issuing a SYNTAX error (label not found).
    - #551 leading zero in the output for time("Job")
    - #552 time("Job") does not return the CPU time used, it returns the elapsed time under Windows
    - #571 Parse Source in interactive mode crashes Regina
    - #573 tarball file issue with 3.9.4 release
    - #574 Segmentation fault on syntax error
    - #578 Crash with test for boolean using uninitalised variable
  * Fix crash with sysgetline() if line > 260 characters.
  * run rxstack as rxstack user not root when installing Linux package

 -- Mark Hessling <mark@rexx.org>  Tue, 25 Jun 2022 01:50:00 +1000

regina-rexx (3.9.4-1) unstable; urgency=low

  * Fix for bug #543
  * Added "CALLER" as valid environment for VALUE BIF.
  * Enabled GETCALLSTACK to display to stderr if no stem argument specified
  * Rearranged build process. Package builds now self-contained
  * Add syshomedirectory() in regutil to get user's home directory
  * Add sysgetline() and sysgetlinehistory() in regutil to provide an interface to readline.
    This provides the ability to obtain keyboard line entry with editing and history.
    Requires readline development package installed.
  * When calling UNAME('S') under Windows 11, it will return "WIN10" as the system version.
    This is Microsoft's idea of version control!  To distinguish between Windows 10 and 11
    check that UNAME('R') is 21996 or greater.

 -- Mark Hessling <mark@rexx.org>  Tue, 25 Oct 2021 01:50:00 +1000

regina-rexx (3.9.3-1) unstable; urgency=low

  * Fix for Bug #311, #312, #392, #394, #422, #454, #500, #501, #508, #511, #512, #524, #525, #528, #529
  * Enabled rxstack to run as a Websocket server. This allows a portable
    mechanism for other languages to use the Regina stack process; eg Javascript
  * Added .DIRSEP reserved variable for current directory separator
  * Added NOEOL option on ADDRESS...WITH INPUT.. to suppress Regina's default of
    appending EOL to each line read from the INPUT. Bug #525
  * Support ~ as first character in filenames under Un*x/Linux platforms to signify
    current user's HOME directory
  * Added 'I' option to sysfiletree() in regutil to enable files to be found
    irrespective of case
  * Add libregina.pc for pkg-config
  * Version information display via "regina -v" now goes to stdout
  * Added options to -v command line switch:
    -va - displays location of Regina's addons directory
    -vb - displays number of bits for platform; eg 32 or 64
    -vv - displays Regina numeric version; eg 3.9.3
  * Added /list switch to rxqueue to list the names of the stacks held by a rxstack service
  * Added support for update-alternatives mechanism on Linux to allow Regina and ooRexx to be installed
    at the same time
  * Overhauled Linux packaging. Added Alpine Linux package support

 -- Mark Hessling <mark@rexx.org>  Sat,  5 Oct 2019 01:50:00 +1000

regina-rexx (3.9.2-1) unstable; urgency=low

  * Fix for Bug #456, #463, #474, #484, #489, #490
  * Fixed some issues with bug #455; some still remain
  * Removal of compilation warnings
  * Fix for syscls() under Linux
  * Changed addons dir in regina-config script to exclude prefix - breakage
  * Add optional setting of PATHEXT under Windows installer
  * Recognise Windows 10 in UNAME BIF

 -- Mark Hessling <mark@rexx.org>  Thu, 28 May 2015 01:50:00 +1000

regina-rexx (3.9.1-1) unstable; urgency=low

  * Fix for Bug #396, #418, #429, #432, #434, #437, #441, #443, #449, #451
  * Feature request #37

 -- Mark Hessling <mark@rexx.org>  Sun,  5 Apr 2015 01:50:00 +1000

regina-rexx (3.9.0-1) unstable; urgency=low

  * Fix for Bug #436

 -- Mark Hessling <mark@rexx.org>  Thu, 16 Oct 2014 01:50:00 +1000

regina-rexx (3.8.3-1) unstable; urgency=low

  * Finally a fix for Bug #429
  * Fix for Bug #433
  * Added extra QUERY options; CREATETIME, MODIFYTIME and ACCESSTIME to STREAM BIF
    Returns a time_t value for create, modify and access time of the persistent stream
    Feature Request #34
  * Feature Request #35 - GETCALLER BIF to determine who called the program
  * Feature Request #36 - .FILE reserved variable

 -- Mark Hessling <mark@rexx.org>  Thu, 28 Jul 2014 01:50:00 +1000

regina-rexx (3.8.2-1) unstable; urgency=low

  * Fix for Bugs #429, #430, #387
  * Add extra level of versioning to enable quicker releases when minor fixes corrected.

 -- Mark Hessling <mark@rexx.org>  Thu, 22 Jun 2014 01:50:00 +1000

regina-rexx (3.8-1) unstable; urgency=low

  * Fix for Bugs #390, #412, #403, #397, #417, #415, #421, #420, #427, #407, #420, #389, #426
  * Fix for bug #419 - conversion from TIME('T') and DATE('T') now returns local time as
    per documentation. Previous versions returned UTC time, so this change may cause breakage!!
  * Moved all native language error messages into *.mts files. *.mts files now stored as UTF-8
  * Error messages returned as a result of processing a native language file will be in English
    as it is not possible to store UTF-8 strings in source code in a portable manner.
  * Added new logical not operator; ¬ (hex value 'AC'x)
  * Windows installer now allows 32bit and 64bit versions of Regina to be installed on the one machine.
  * Consistency with common switches for all executables. Long options also supported.

 -- Mark Hessling <mark@rexx.org>  Thu,  4 Jun 2014 01:50:00 +1000

regina-rexx (3.7-1) unstable; urgency=low

  * Significant performance improvement with LINES BIF on large files; fixes bug 2663478.
  * Significant performance improvement with compound variables with large numbers of tails; bug 2496099.
  * TRACE L now traces internal subroutines called as functions. Regina used to
    only trace internal subroutines if they were called by CALL. Still some
    indenting issues. Bug 3564529.
  * Added -o command-line switch to specify OPTIONS
  * Update usage from 'rexx -h' and man page
  * Fix bugs: 3089351, 3143101, 3175984, 3265645, 3376604, 3386045, 3511119, 3520068, 3524887, 3522738,
    3531785, 3531812, 3539337, 3564585, 3560639, 3564570, 3564507, 3565673, 35655582, 2941670, 3489133,
    1887965, 3037156, 3170743, 3400513
  * Closed/Rejected bugs: 2873709, 2902600
  * Implement date separator conversions in DATE BIF as per Object Rexx. Feature request #463689
  * Added support for trigonometric functions in Regutil package
  * Windows installers now defaults to install into %programfiles%\rexx.org\Regina
  * Windows installers now uninstall only the files that are installed.
  * This version of Regina now runs under Windows 2000; v3.6 did not.
  * Added stubs for API functions; RexxSetTrace and RexxResetTrace.
  * Added code to support RexxSetHalt API function

 -- Mark Hessling <mark@rexx.org>  Sun, 14 Oct 2012 01:50:00 +1000

regina-rexx (3.7RC2-1) unstable; urgency=low

  * Updated to Regina 3.7RC2

 -- Mark Hessling <mark@rexx.org>  Wed, 14 Sep 2012 08:35:38 +1000

regina-rexx (3.7RC1-1) unstable; urgency=low

  * Updated to Regina 3.7RC1

 -- Mark Hessling <mark@rexx.org>  Wed,  5 Sep 2012 08:35:38 +1000

regina-rexx (3.6-1) unstable; urgency=low

  * Updated to Regina 3.6
  * Added GETCALLSTACK BIF

 -- Mark Hessling <mark@rexx.org>  Sat, 31 Dec 2011 08:35:38 +1000

regina-rexx (3.5-1) unstable; urgency=low

  * Fixed lintian errors.
  * Changed library package name to match soname.
  * New upstream version (closes: #499553, #533682, #549486).
  * Applied patch from Barry deFreese (closes: #534128).
  * Upgraded to Standards-Version: 3.8.3.
  * Changed email address in control file to <alen@nms.hr>.

 -- Alen Zekulic <alen@nms.hr>  Sun, 17 Jan 2010 18:35:38 +0100

regina-rexx (3.3-5) unstable; urgency=low

  * Added handling of the nostrip DEB_BUILD_OPTIONS (closes: #437900).

 -- Alen Zekulic <azekulic@fesb.hr>  Mon, 10 Sep 2007 09:21:59 +0200

regina-rexx (3.3-4) unstable; urgency=low

  * Excluded powerpc from GCI supported architectures (closes: #399841).
  * Fixed package description (closes: #399137).

 -- Alen Zekulic <azekulic@fesb.hr>  Sat, 25 Nov 2006 10:44:15 +0100

regina-rexx (3.3-3) unstable; urgency=low

  * Applied patch from Matej Vela <vela@debian.org> against debian/rules
    to add support for Regina GCI by arch (closes: #358960).
  * Applied patch from Andreas Jochens <aj@andaco.de> to enable Regina
    General Call Interface on powerpc (closes: #361079).
  * Changed section of regina3-dev from devel to libdevel to match override.
  * Upgraded to Standards-Version: 3.7.2.

 -- Alen Zekulic <azekulic@fesb.hr>  Sun, 16 Apr 2006 11:13:36 +0200

regina-rexx (3.3-2) unstable; urgency=low

  * Fixed lintian errors.
  * Enabled Regina General Call Interface.
  * Upgraded to Standards-Version: 3.6.2.

 -- Alen Zekulic <azekulic@fesb.hr>  Mon,  6 Mar 2006 01:00:46 +0100

regina-rexx (3.3-1) unstable; urgency=low

  * New upstream version.
  * No longer provide /usr/doc link.
  * Upgraded to Standards-Version: 3.6.1.

 -- Alen Zekulic <azekulic@fesb.hr>  Wed, 28 Apr 2004 06:16:21 +0200

regina-rexx (2.2-1) unstable; urgency=low

  * Fixed lintian errors.
  * Fixed debian/rules script (closes: #113716, #104707).
  * New upstream version, final 2001-07-17 (closes: #101397, #112798, #113725).

 -- Alen Zekulic <azekulic@fesb.hr>  Wed, 30 Jul 2001 16:04:47 +0200

regina-rexx (2.2-0) unstable; urgency=low

  * Fixed prerm scripts.
  * Added Build-Depends.
  * Upgraded to Standards-Version: 3.5.2.0
  * New upstream version, beta 2000-11-18 (closes: #88752).

 -- Alen Zekulic <azekulic@fesb.hr>  Thu, 22 Mar 2001 00:44:57 +0100

regina-rexx (0.08h-1.1) unstable; urgency=low

  * Non-maintainer upload
  * config addition to allow it to build on arm

 -- Rick Younie <younie@debian.org>  Thu, 15 Feb 2001 20:30:59 -0800

regina-rexx (0.08h-1) frozen unstable; urgency=low

  * Replaces pre-released with released 0.08h version.
  * New upstream version (fixes several bugs).

 -- Alen Zekulic <azekulic@fesb.hr>  Mon, 13 Mar 2000 13:17:20 +0100

regina-rexx (0.08h-0) unstable; urgency=low

  * Upgraded to Standards-Version: 3.0.1.1.
  * FHS transition.
  * New upstream version. (0.08h beta 1999-10-09).

 -- Alen Zekulic <azekulic@fesb.hr>  Tue, 26 Oct 1999 20:35:24 +0200

regina-rexx (0.08g-0) unstable; urgency=low

  * Fixed lintian errors.
  * New upstream version. (0.08g beta 1998-12-23).

 -- Alen Zekulic <azekulic@fesb.hr>  Sun, 20 Jun 1999 19:33:38 +0200

regina-rexx (0.08e-2) frozen unstable; urgency=low

  * Applied Christian Meder's patch for glibc2.1 (fixes bug #30033).

 -- Alen Zekulic <azekulic@fesb.hr>  Wed,  9 Dec 1998 22:22:52 +0100

regina-rexx (0.08e-1) unstable; urgency=low

  * Applied James Troup's m68k patch (fixes bug #24183).
  * New upstream version.

 -- Alen Zekulic <azekulic@fesb.hr>  Sun,  4 Oct 1998 18:06:10 +0200

regina-rexx (0.08d-2) frozen unstable; urgency=low

  * regina0-dev: added Replaces/Conflicts to regina-dev (fixes bug #22403).

 -- Alen Zekulic <azekulic@fesb.hr>  Mon, 18 May 1998 13:55:19 +0200

regina-rexx (0.08d-1) frozen unstable; urgency=low

  * Several upstream bug fixes (fully Y2K compliant).
  * New upstream version (0.08d 1998-03-26).

 -- Alen Zekulic <azekulic@fesb.hr>  Sun, 29 Mar 1998 01:01:59 +0100

regina-rexx (0.08d-0) frozen unstable; urgency=low

  * Improved hanoi.rexx error message (fixes bug #20050).
  * New upstream version (0.08d beta 1998-03-11).

 -- Alen Zekulic <azekulic@fesb.hr>  Thu, 19 Mar 1998 19:17:40 +0100

regina-rexx (0.08b-2) unstable; urgency=low

  * Upgraded to Standards-Version: 2.4.0.0.
  * Fixed lintian errors.
  * Fixed `configure' script. (fixes: bug#17132)

 -- Alen Zekulic <azekulic@fesb.hr>  Thu, 12 Mar 1998 19:46:05 +0100

regina-rexx (0.08b-1) unstable; urgency=low

  * Added -D_REENTRANT compilation flag.
  * copyright no longer compressed. (fixes bugs #14486, #14509)
  * Architecture no longer hardcoded. (fixes bug #13620)
  * Now using pristine source.
  * Libc6 release.
  * New upstream version.

 -- Alen Zekulic <azekulic@fesb.hr>  Thu,  6 Nov 1997 23:55:33 +0100

regina-rexx (0.08a-1) unstable; urgency=low

  * Initial Debian Release.

 -- Alen Zekulic <azekulic@fesb.hr>  Thu, 10 Apr 1997 17:27:12 +0200
